var userObj = Ti.App.Properties.getObject('userData');

$.win.addEventListener('open', function(e) {

	var onSuccessCallback = function(e) {
		Ti.API.info(e.data);
		Ti.API.info(e.status);
		var post = JSON.parse(e.data);

		if (e.data != "[]" && e.data != null) {

			$.tableview.show();
			if (OS_ANDROID) {
				var table_bottom = '18%';
			}
			$.activityIndicator.show();
			items = [];

			for (var i = 0; i < post.length; ++i) {

				var postData = {};
				postData.title = post[i].title;
				postData.date_time = post[i].date_time;
				postData.pic = post[i].pic;
				postData.audio = post[i].audio;
				postData.postId = post[i].id;
				Ti.App.Properties.setObject('postObj', postData);

				items.push(newRow(post[i]));
			}

			$.tableview.data = items;
			$.activityIndicator.hide();

			function newRow(e) {

				var row = Ti.UI.createTableViewRow({
					height : "35%",
					top : "9%",
					width : "100%",
					className : 'manage'
				});
				row.rowId = postData.postId;
				row.message = postData.title;
				row.pic = postData.pic;
				row.audio = postData.audio;
				row.date = postData.date_time;

				if (OS_IOS) {
					var lovImage = Ti.UI.createImageView({
						top : "4.5%",
						left : "3%",
						height : "31.5%",
						width : "15%",
					});
					row.add(lovImage);

					if (row.pic != "" && row.pic != null) {
						lovImage.image = 'http://108.166.87.132/newapi/' + row.pic;
					} else {
						lovImage.image = "/images/background/appicon.png";
					}
				}

				if (OS_ANDROID) {
					row.height = Ti.Platform.displayCaps.platformHeight / 3.5;

					var lovImage = Ti.UI.createView({
						top : "4.5%",
						left : "3%",
						height : "31.5%",
						width : "15%",
					});
					row.add(lovImage);

					lovImage.height = Ti.Platform.displayCaps.platformHeight * .08;
					lovImage.width = Ti.Platform.displayCaps.platformWidth * .14;

					if (row.pic != "" && row.pic != null) {
						lovImage.backgroundImage = 'http://108.166.87.132/newapi/' + row.pic;
					} else {
						lovImage.backgroundImage = "/images/background/appicon.png";
					}
				}

				var playPause = Ti.UI.createButton({
					backgroundImage : "/images/buttons/button_playPause_up.png",
					top : "6.5%",
					left : "20%",
					height : "27%",
					width : "12%",
				});
				row.add(playPause);

				if (OS_ANDROID) {
					playPause.height = Ti.Platform.displayCaps.platformHeight * .07;
					playPause.width = Ti.Platform.displayCaps.platformWidth * .11;
				}

				if (!row.audio) {
					playPause.setOpacity(0.5);
					playPause.setTouchEnabled(false);
				}

				var sound;
				playPause.addEventListener('click', function(e) {
					Titanium.Media.audioSessionMode = Ti.Media.AUDIO_SESSION_MODE_PLAYBACK;
					if (sound && sound.playing) {
						sound.pause();
						playPause.backgroundImage = "/images/buttons/button_playPause_up.png";
					} else if (sound && sound.paused) {
						sound.play();
					} else {
						sound = Titanium.Media.createSound({
							url : 'http://108.166.87.132/newapi/' + row.audio
						});
						sound.play();
						playPause.backgroundImage = "/images/buttons/button_playPause_down.png";
						slider.max = sound.duration * 1000;
						sound.addEventListener('complete', function() {
							playPause.backgroundImage = "/images/buttons/button_playPause_up.png";
							slider.value = 0;
						});
						var i = setInterval(function() {
							if (sound.isPlaying()) {
								Ti.API.info('time ' + sound.time);
								slider.value = sound.time;
							}
						}, 500);
					}
				});

				var slider = Ti.UI.createSlider({
					top : "11.5%",
					right : "2%",
					width : "63%",
					value : 0,
					min : 0,
					touchEnabled : false,
				});
				row.add(slider);

				if (OS_ANDROID) {
					slider.top = "7.5%";
					var sliderHide = Ti.UI.createView({
						backgroundColor : "transparent",
						top : "8%",
						right : "2%",
					});
					sliderHide.height = Ti.Platform.displayCaps.platformHeight * .08;
					sliderHide.width = Ti.Platform.displayCaps.platformWidth * .65;
					row.add(sliderHide);
				}

				var lovMsg = Ti.UI.createLabel({
					text : row.message,
					color : "#4C4C4C",
					top : "39%",
					width : "95%",
					height : "20%",
					font : {
						fontSize : "12dp"
					}
				});
				lovMsg.color = Alloy.Globals.labelGray;
				row.add(lovMsg);

				if (OS_ANDROID) {
					lovMsg.height = Ti.Platform.displayCaps.platformHeight * .07;
				}

				var bottomView = Ti.UI.createView({
					backgroundColor : "#FFFFFF",
					bottom : 0,
					height : "25%",
					width : "100%"
				});
				bottomView.backgroundColor = Alloy.Globals.bottomView;
				row.add(bottomView);

				if (OS_ANDROID) {
					bottomView.height = Ti.Platform.displayCaps.platformHeight * .075;
				}

				var date = Ti.UI.createLabel({
					text : postData.date_time,
					color : "#4C4C4C",
					left : "10%",
					width : "40%",
					height : "80%",
					font : {
						fontSize : "12dp"
					}
				});
				date.color = Alloy.Globals.labelGray;
				bottomView.add(date);

				var share = Ti.UI.createButton({
					backgroundImage : "/images/manageLov/button_share.png",
					bottom : "2%",
					right : "15%",
					height : "21%",
					width : "9%"
				});
				row.add(share);

				if (OS_ANDROID) {
					share.height = Ti.Platform.displayCaps.platformHeight * .06;
					share.width = Ti.Platform.displayCaps.platformWidth * .09;
				}

				share.addEventListener('click', function(e) {
					modalShare.show();
					$.head.setOpacity(0.4);
					$.head.setTouchEnabled(false);
					$.tableview.setOpacity(0.4);
					$.tableview.setTouchEnabled(false);
					$.foot.setOpacity(0.4);
					$.foot.setTouchEnabled(false);

				});

				var modalShare = Ti.UI.createView({
					backgroundImage : "/images/manageLov/modalShare_back.png",
					top : "20%",
					modal : true,
					height : "42%",
					width : "83%",
					visible : false,
					opacity : 0.95,
					zIndex : 4
				});
				//modalShare.backgroundImage = Alloy.Globals.winSkin;
				$.win.add(modalShare);

				var modalClose = Ti.UI.createView({
					backgroundImage : "/images/buttons/button_close2.png",
					top : "12%",
					right : "8%",
					width : "7%",
					height : "9%"
				});
				modalShare.add(modalClose);

				modalClose.addEventListener('click', function(e) {
					modalShare.hide();
					$.head.setOpacity(1.0);
					$.head.setTouchEnabled(true);
					$.tableview.setOpacity(1.0);
					$.tableview.setTouchEnabled(true);
					$.foot.setOpacity(1.0);
					$.foot.setTouchEnabled(true);
				});

				var modalEmail = Ti.UI.createButton({
					backgroundImage : "/images/buttons/button_email_up.png",
					backgroundSelectedImage : "/images/buttons/button_email_down.png",
					top : "47.5%",
					left : "15%",
					height : "22%",
					width : "17%"
				});
				modalShare.add(modalEmail);

				//////////////
				//BEGIN SEND EMAIL
				modalEmail.addEventListener('click', function(e) {
					//CREATE EMAIL
					var email = Ti.UI.createEmailDialog();
					email.subject = "Share the LOV";
					if (row.message != null && row.message != "") {
						email.messageBody = "A LOV for you!\n" + row.message;
					} else {
						email.messageBody = "A LOV for you!";
					}
					//IMAGE
					if (OS_IOS) {
						var blobPic = lovImage.toBlob()
					}
					if (OS_ANDROID) {
						var blobPic = lovImage.toImage().media;
					}
					var pic = blobPic.imageAsResized(200, 200);
					email.addAttachment(pic);
					//AUDIO
					if (row.audio != "" && row.audio != null) {

						var xhr = Titanium.Network.createHTTPClient({
							onload : function() {
								var a = Ti.Filesystem.getFile(Ti.Filesystem.applicationDataDirectory, 'audio.mp4');
								a.write(this.responseData);
								email.addAttachment(a);
								Ti.API.info('a size: ' + a.size);
								email.open();
							},
							timeout : 10000
						});
						xhr.open('GET', 'http://108.166.87.132/newapi/' + row.audio);
						xhr.send();
					} else {
						email.open();
					}
					email.addEventListener('android:back', function(e) {
						email.close();
					});

				});
				//END send email

				var modalFacebook = Ti.UI.createButton({
					backgroundImage : "/images/localLogin/facebook.png",
					top : "49%",
					left : "41.5%",
					height : "20%",
					width : "15%"
				});
				modalShare.add(modalFacebook);

				//////////////
				//BEGIN POST TO FACEBOOK
				modalFacebook.addEventListener('click', function(e) {
					Ti.include('/include/common.js');
					Ti.API.info(row.message);

					if (fb.loggedIn) {
						Ti.API.info('facebook status: ' + fb.loggedIn);
						var pic = 'http://108.166.87.132/newapi/' + row.pic;
						var message = row.message;
						var audio = row.audio;

						var data = {
							name : "LOV",
							link : "http://www.lovedonesvoice.com",
							description : message,
							picture : pic
						};

						fb.dialog("feed", data, function(e) {

							if (e.success && e.result) {
								alert("Success!  New Post ID: " + e.result);
							} else {
								if (e.error) {
									alert(e.error);
								} else {
									alert("User canceled dialog.");
								}
							}
						});
					} else {
						Ti.API.info('else facebook status: ' + fb.loggedIn);
						Ti.Facebook.authorize();
					}
				});
				//END post to facebook

				var modalFriends = Ti.UI.createButton({
					backgroundImage : "/images/buttons/footer/button_friends_up.png",
					top : "46%",
					right : "6%",
					height : "26%",
					width : "35%"
				});
				modalShare.add(modalFriends);

				////////////////
				//BEGIN FRIEND LIST EVENT
				modalFriends.addEventListener('click', function(e) {

					var onSuccessCallback = function(e) {

						Ti.API.info(e.data);
						Ti.API.info(e.status);
						var fL = JSON.parse(e.data);

						if (e.data != "[]") {

							modalShare.hide();
							friendsShare.show();
							items = [];

							for (var i = 0; i < fL.length; ++i) {

								var fList = {};
								fList.id = fL[i].id;
								fList.pic = fL[i].profile_pic;
								fList.name = fL[i].name;
								fList.shared = fL[i].posts_shared;
								Ti.App.Properties.setObject('listObj', fList);
								items.push(newRow(fL[i]));
								Ti.API.info(fL[i]);
							}
							tableviewShare.data = items;

							function newRow(e) {

								var Lrow = Ti.UI.createTableViewRow({
									backgroundImage : "/images/background/profile_bar.jpg",
									top : "9%",
									height : "25%",
									width : "100%",
									className : "share"
								});
								Lrow.id = fList.id;
								Lrow.post = row.rowId

								if (Ti.Platform.osname == 'android') {
									Lrow.height = Ti.Platform.displayCaps.platformHeight * .15;
								}

								if (OS_IOS) {
									var fImage = Ti.UI.createImageView({
										left : "8%",
										height : "50%",
										width : "16%"
									});
									Lrow.add(fImage);

									if (fList.pic != null && fList.pic != "") {
										fImage.image = "http://108.166.87.132/newapi/" + fList.pic;
									} else {
										fImage.image = "/images/background/appicon.png";
									}
								}

								if (OS_ANDROID) {
									Lrow.height = Ti.Platform.displayCaps.platformHeight * .15;

									var fImage = Ti.UI.createView({
										left : "8%",
									});
									Lrow.add(fImage);

									fImage.height = Ti.Platform.displayCaps.platformHeight * .10;
									fImage.width = Ti.Platform.displayCaps.platformWidth * .18;

									if (fList.pic != null && fList.pic != "") {
										fImage.backgroundImage = "http://108.166.87.132/newapi/" + fList.pic;
									} else {
										fImage.backgroundImage = "/images/background/appicon.png";
									}
								}

								var name = Ti.UI.createLabel({
									text : fList.name,
									color : "#002966",
									left : "26%",
									width : 'auto',
									font : {
										fontSize : "15dp",
										fontWeight : "bold"
									}
								});
								Lrow.add(name);

								if (OS_ANDROID) {
									name.left = Ti.Platform.displayCaps.platformWidth * .30;
								}

								var buttonShare = Ti.UI.createButton({
									backgroundImage : "/images/buttons/button_share_up.png",
									backgroudSelectedImage : "/images/buttons/button_share_down.png",
									bottom : 0,
									height : "12%",
									width : "100%"
								});
								friendsShare.add(buttonShare);

								/////////////////////
								//BEGIN SHARE BUTTON EVENT
								buttonShare.addEventListener('click', function(e) {

									for (var i = 0; i < tableviewShare.data[0].rowCount; i++) {

										if (tableviewShare.data[0].rows[i].hasCheck == true) {
											var user = tableviewShare.data[0].rows[i].id;
											var userId = JSON.stringify(user);
											var userInt = parseInt(user);
											Ti.API.info(user);
											var post = JSON.stringify(Lrow.post);
											Ti.API.info(post);
										}
									}

									var onSuccessCallback = function(e) {

										Ti.API.info(e.data);
										Ti.API.info(e.status);
										var fL = JSON.parse(e.data);

										if (e.data != "[]") {
											alert('You\'ve Spread the LOV!');
											modalShare.hide();
											friendsShare.hide();
											$.head.setOpacity(1.0);
											$.head.setTouchEnabled(true);
											$.tableview.setOpacity(1.0);
											$.tableview.setTouchEnabled(true);
											$.foot.setOpacity(1.0);
											$.foot.setTouchEnabled(true);

										} else {
											alert('unknown error');
										}
									};

									var onErrorCallback = function(e) {
										Ti.API.info(e.data);
										alert('Uknown error has occured');
									};

									var XHR = require('/include/xhr');
									var xhr = new XHR();

									var url = 'http://108.166.87.132/newapi/api.php?q=share_post&post_id=' + Lrow.post + '&friend_id=' + userInt;

									var options = {
										contentType : "application/x-www-form-urlencoded; image/png;",
									};

									xhr.get(url, onSuccessCallback, onErrorCallback, options);

								});
								//END share button event

								if (OS_IOS) {
									tableviewShare.addEventListener("click", function(e) {

										if (e.row.hasCheck) {
											e.row.hasCheck = false;
										} else {
											e.row.hasCheck = true;
										}
									});
								}
								if (OS_ANDROID) {
									Lrow.addEventListener('click', function(e) {

										var check = true;

										if (Lrow.hasCheck == true) {
											Lrow.hasCheck = false;
										} else {
											Lrow.hasCheck = true;
										}
									});
								}
								return Lrow;
							}//END newRow

						} else {
							modalShare.hide();
							$.addFriends.show();
							$.head.setOpacity(0.4);
							$.head.setTouchEnabled(false);
							$.tableview.setOpacity(0.4);
							$.tableview.setTouchEnabled(false);
							$.foot.setOpacity(0.4);
							$.foot.setTouchEnabled(false);
						}
					};
					var onErrorCallback = function(e) {
						Ti.API.info(e.data);
						alert('Uknown error has occured');
					};

					var XHR = require('/include/xhr');
					var xhr = new XHR();

					var url = 'http://108.166.87.132/newapi/api.php?q=friends';

					var options = {
						contentType : "application/x-www-form-urlencoded; image/png;",
					};

					xhr.get(url, onSuccessCallback, onErrorCallback, options);

				});
				// END friend list event

				var checkBlank = Ti.UI.createView({
					backgroundImage : "/images/localLogin/checkbox_blank.png",
					bottom : "14%",
					height : "10%",
					width : "8.5%",
					left : "24%"
				});
				modalShare.add(checkBlank);

				checkBlank.addEventListener('click', function(e) {
					checkBlank.hide();
					checkChecked.show();
					modalFriends.setOpacity(0.5);
					modalFriends.setTouchEnabled(false);
				});

				var checkChecked = Ti.UI.createView({
					backgroundImage : "/images/localLogin/checkbox_checked.png",
					bottom : "14%",
					height : "10%",
					width : "8.5%",
					left : "24%",
					visible : false
				});
				modalShare.add(checkChecked);

				checkChecked.addEventListener('click', function(e) {
					checkBlank.show();
					checkChecked.hide();
					modalFriends.setOpacity(1.0);
					modalFriends.setTouchEnabled(true);
				});

				var checkLabel = Ti.UI.createLabel({
					text : "Make post public",
					bottom : "15.5%",
					left : "36%",
					color : "#FFFFFF",
					font : {
						fontSize : "12dp",
						fontWeight : "bold"
					}
				});
				modalShare.add(checkLabel);

				var modalDelete = Ti.UI.createView({
					backgroundImage : "/images/createLov/modalDelete_back.png",
					top : "15%",
					modal : true,
					height : "40%",
					width : "90%",
					visible : false,
					opacity : 0.95,
					zIndex : 4
				});
				$.win.add(modalDelete);

				var deleteClose = Ti.UI.createView({
					backgroundImage : "/images/buttons/button_close2.png",
					top : "12%",
					right : "8%",
					width : "10%",
					height : "13%"
				});
				modalDelete.add(deleteClose);

				deleteClose.addEventListener('click', function(e) {
					modalDelete.hide();
					$.head.setOpacity(1.0);
					$.head.setTouchEnabled(true);
					$.tableview.setOpacity(1.0);
					$.tableview.setTouchEnabled(true);
					$.foot.setOpacity(1.0);
					$.foot.setTouchEnabled(true);
				});

				var modalDeleteLov = Ti.UI.createButton({
					backgroundImage : "/images/buttons/button_modalDelete_up.png",
					backgroundSelectedImage : "/images/buttons/button_modalDelete_down.png",
					top : "52%",
					height : "20%",
					width : "32%",
				});
				modalDelete.add(modalDeleteLov);

				modalDeleteLov.addEventListener('click', function(e) {

					var onSuccessCallback = function(e) {

						Ti.API.info(e.data);
						Ti.API.info(e.status);
						var user = JSON.parse(e.data);

						if (e.data != []) {
							var deleteDialog = Ti.UI.createAlertDialog({
								message : 'This LOV has been deleted',
								ok : 'Okay',
								title : 'Delete LOV'
							});
							deleteDialog.addEventListener('click', function(e) {
								manageLov();
							});
							deleteDialog.show();

						} else {
							Ti.API.info(e.data);
						}
					};
					var onErrorCallback = function(e) {
						Ti.API.info(e.data);
						alert('Uknown error has occured');
					};

					var XHR = require('/include/xhr');
					var xhr = new XHR();

					var url = 'http://108.166.87.132/newapi/api.php?q=delete_post&post_id=' + row.rowId + '&sure=1';

					var options = {
						contentType : "application/x-www-form-urlencoded; image/png;",
					};

					xhr.get(url, onSuccessCallback, onErrorCallback, options);

				});

				var deleteLov = Ti.UI.createButton({
					backgroundImage : "/images/manageLov/button_close_up.png",
					backgroundSelectedImage : "/images/manageLov/button_close_down.png",
					bottom : "2%",
					right : "3%",
					height : "20%",
					width : "9%"
				});
				row.add(deleteLov);

				if (OS_ANDROID) {
					deleteLov.height = Ti.Platform.displayCaps.platformHeight * .06;
					deleteLov.width = Ti.Platform.displayCaps.platformWidth * .09;
				}

				deleteLov.addEventListener('click', function(e) {
					modalDelete.show();
					$.head.setOpacity(0.4);
					$.head.setTouchEnabled(false);
					$.tableview.setOpacity(0.4);
					$.tableview.setTouchEnabled(false);
					$.foot.setOpacity(0.4);
					$.foot.setTouchEnabled(false);

				});

				var friendsShare = Ti.UI.createView({
					top : "10%",
					bottom : "20%",
					width : "80%",
					borderRadius : 10,
					zIndex : 2,
					visible : false
				});
				$.win.add(friendsShare);

				var tableviewShare = Ti.UI.createTableView({
					backgroundImage : "/images/background/profile_bar.jpg",
					borderColor : "#002966",
					borderRadius : 10,
					top : 0,
					bottom : "12%",
					width : "100%"
				});
				friendsShare.add(tableviewShare);

				var friendsClose = Ti.UI.createView({
					backgroundImage : "/images/buttons/button_close2.png",
					top : 0,
					right : 0,
					width : "14%",
					height : "10%",
					zIndex : 3
				});
				friendsShare.add(friendsClose);

				friendsClose.addEventListener('click', function(e) {
					modalShare.hide();
					friendsShare.hide();
					$.head.setOpacity(1.0);
					$.head.setTouchEnabled(true);
					$.tableview.setOpacity(1.0);
					$.tableview.setTouchEnabled(true);
					$.foot.setOpacity(1.0);
					$.foot.setTouchEnabled(true);
				});

				return row;
			}

		} else {
			$.label_noLovs.show();
		}
	};

	var onErrorCallback = function(e) {
		Ti.API.info(e.data);
		alert('Uknown error has occured');
	};

	var XHR = require('/include/xhr');
	var xhr = new XHR();

	var url = 'http://108.166.87.132/newapi/api.php?q=get_my_posts';

	var options = {
		contentType : "application/x-www-form-urlencoded; image/jpeg;",
	};

	xhr.get(url, onSuccessCallback, onErrorCallback);

});

function manageLov(e) {
	var manageLov = Alloy.createController('manageLov').getView();
	manageLov.open();
}

function closeView(e) {
	$.addFriends.hide();
	$.head.setOpacity(1.0);
	$.head.setTouchEnabled(true);
	$.tableview.setOpacity(1.0);
	$.tableview.setTouchEnabled(true);
	$.foot.setOpacity(1.0);
	$.foot.setTouchEnabled(true);
}

//$.win.addEventListener('android:back',function(e)
//{
//Ti.API.info('back button pressed');
//$.win.close();
//});
$.win.addEventListener('blur', function(e) {
	$.win.close(exitLeft);
});

$.win.open();
